﻿<%@ Page Title="Post" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="Post.aspx.cs" Inherits="MvcTutorials.Blog.ReferenceWebsite.Views.Blog.Post" %>
<asp:Content ID="headContent" ContentPlaceHolderID="headContent" runat="server">
 <script type="text/javascript" src="../../Content/jquery-1.2.5.min.js"></script> 
 <script src="../../Content/jquery.validate.js" type="text/javascript"></script>
  <link href="../../Content/screen.css" rel="stylesheet" type="text/css" />
 <script type="text/javascript"> 
 $(function() {
		// highlight 
		var elements = $("input[type!='submit'], textarea, select");
		elements.focus(function(){
			$(this).parents('li').addClass('highlight');
		});
		elements.blur(function(){
			$(this).parents('li').removeClass('highlight');
		});		
		
		
		$("#new_comment").validate()
	});

  $(document).ready(function() {
        $("#ajaxLoader").hide();
        $("form#new_comment").submit(function() {        
            addComment(this);
            return false;
        });
});

function addComment(form)
{
    $("#ajaxLoader").show();           
    $.ajax(
    {
       type: form.method,
       url: form.action,
       data: $(form).serialize(),
       dataType: "html",
       completed: $("#ajaxLoader").hide(),
       success: function(result)
       {
            var domObj = $(result); // create element from html            
            $("#post_comment").append(domObj); // append to end of list        
       },
       error: function(error)
       {
            alert(error);
       }
    });         
}
</script>  
</asp:Content>

<asp:Content ID="content" ContentPlaceHolderID="MainContent" runat="server">

<h2><% =Html.ActionLink( ViewData.Model.Title, "Post", new { id = ViewData.Model.ID } )%></h2>
<div>Posted by <strong><% =ViewData.Model.Author%></strong> on <strong><% =ViewData.Model.DatePosted%></strong></div>
<p><% =ViewData.Model.Text.Replace( "\n", "<br />" )%></p>

<h3>Comments</h3>
<div id="post_comment">
<% if( ViewData.Model.Comments.Count > 0 ){ %>
 
        <% foreach( var comment in ViewData.Model.Comments ){ %>   
                 <% Html.RenderPartial("PostComment", comment); %> 
        <% } %>
   <% } %>
</div>
   
    <form id="new_comment" action="/Blog/Post" method="post">
     <input type="hidden" name="postId" id="postId" value="<% =ViewData.Model.ID%>" />
      <img id="ajaxLoader" src="../../Content/ajax-loader.gif"/>
    <fieldset>
					<legend>Add Comment</legend>
					<ul>
						<li>   
						    <label for="author"><span class="required">Name: </span></label>  
	                        <input id="commentAuthor" class="text required" name="commentAuthor" type="text" value="" /> 
	                     </li>   
	                     <li>
	                            <label for="text"><span class="required">Comment: </span></label>
	                            <textarea cols="20" id="commentText" class="text required" name="commentText" rows="2"></textarea>
	                     </li>
	                     </ul>
	                     </fieldset>	
	                <input type="submit" value="Add" />	
    </form> 
</asp:Content>